Log in or register to post comments

WSA capabilities Microphone and InternetClient necessary

September 13, 2018 - 1:48am #1

Vuforia SDK Version: 7.0.50 -

Description with steps to reproduce: Using Unity Version 2017.4.1f1 with Vuforia 7.0.50 Error: Application won't build for Hololens Vuforia requires the WSA Capability 'Microphone' to be set. Please set this capability in the Player SettingsVuforia requires the WSA Capability 'InternetClient' to be set. Please set this capability in the Player Settings UnityEngine.Debug:LogError(Object) Vuforia.EditorClasses.PlayerSettingsValidationResultExtensions:Log(Action`1, String) Vuforia.EditorClasses.PlayerSettingsValidationResultExtensions:Error(String) Vuforia.EditorClasses.PlayerSettingsValidationResultExtensions:LogHighSeverity(PlayerSettingsValidationResult) BuildObserver:ValidatePlayerSettings() BuildObserver:OnPreprocessBuild(BuildTarget, String) UnityEngine.GUIUtility:ProcessEvent(Int32, IntPtr) Steps to reproduce: - Create new project - Add Vuforia support in player settings - Add an AR Camera to the scene via the create gameobject menu - Try to build for Hololens With Unity 2018.2.7f1 and Vuforia 7.2.23 building works (for some reasons), but the error message pops up as well -

Development OS (Mac OS X, Windows, Linux): Windows 10 -

Mobile OS and Version: RS4 -

Mobile Device Manufacturer and Model name: Hololens -

Do the Vuforia Sample Applications show the same behavior?:

Log in or register to post comments